clc
k1=0.5;
k2=0.2;
CA0=2;
for i=1:20
    tau(i)=i-1;
    CA(i)=CA0/(1+tau(i)*k1);
CB(i)=tau(i)*k1*CA0/((1+tau(i)*k1)*(1+tau(i)*k2));
CC(i)=(tau(i)^2)*k1*k2*CA0/((1+tau(i)*k1)*(1+tau(i)*k2));
end
plot(tau,CB./(CA0-CA))
axis([0 20 0 1])
legend('Yield')
xlabel('tau')
ylabel('Y_B')
title('Yield Profiles')
